Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::CellEditableSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::CellEditable. More...

`#include <xfc/gtk/celleditablesignals.hh>`

Inheritance diagram for Xfc::Gtk::CellEditableSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_editing_done ()
    Called when the cell renderer should update it's value from the cell.
- virtual void on_remove_widget ()
    Called when the cell is finished editing, and the editable widget may now be destroyed.

## Protected Member Functions

Constructors

- virtual ~CellEditableSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::CellEditable.

The documentation for this class was generated from the following file:

- celleditablesignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3